log spam: DeprecationWarning: the md5 module is deprecated

Bug #594773 reported by Forest on 2010-06-15
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
libapache2-mod-python (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: libapache2-mod-python

mod_python is producing python warnings at "error" level in the apache error log:

  [Tue Jun 15 11:54:19 2010] [error] /usr/lib/python2.6/dist-packages/mod_python/importer.py:32: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  [Tue Jun 15 11:54:19 2010] [error] import md5

These messages are harmless, but annoying. They make diagnosing real problems a little more complicated than necessary.

Ubuntu Lucid
apache2 2.2.14-5ubuntu8
python 2.6.5-0ubuntu1
libapache2-mod-python 3.3.1-8ubuntu2

Lazy (ubuntu-bugs-oittaa) wrote :
tags: added: patch
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libapache2-mod-python (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers